Subject: bug#8628: 24.0.50; `thing-at-point-bounds-of-list-at-point' - no good

From: "Drew Adams" <[email-masked]>
Date: Thu, 5 May 2011 17:41:36 -0700

Besides which, we might as well get rid of
`thing-at-point-bounds-of-list-at-point' and the `(put 'list
'bounds-of-thing-at-point 'thing-at-point-bounds-of-list-at-point)'.

There is no generally no reason to define such `thing-at-point-bounds-of...'
functions.  The regular `bounds-of-thing-at-point' should work, and it does.  

Try M-: (bound-of-thing-at-point 'list) instead of M-:
(thing-at-point-bounds-of-list-at-point).  It returns (191 . 218) at the first
location (which corresponds to the list before point, which I suppose is OK -
it's certainly a lot better than the current behavior).  And it returns nil at
eob, which is correct.

(Obviously I forgot to mention doing M-x load-library thingatpt.el for the
recipe from emacs -Q.)